package main

import (
	"log"
	"os"
)

func main() {
	db := openDatabase()
	defer db.Close()

	username := os.Getenv("VIVAPLUS_USER")
	password := os.Getenv("VIVAPLUS_PASS")
	//password, err := base64.StdEncoding.DecodeString(os.Getenv("VIVAPLUS_PASS"))
	//if err != nil {
	//	log.Fatalf("error decoding password: %v", err)
	//}

	w := NewWebClient()
	err := w.VivaLogin(username, string(password))
	if err != nil {
		log.Fatalf("error login in: %v", err)
	}

	//form := url.Values{}
	//form.Set("email", username)
	//form.Set("password", string(password))
	//
	//// First fetch csrf token by doing a get. It is found in a meta tag with name="csrf-token"
	//
	//resp, err := http.Post("https://vivaplus.tv/supporters/sign_in", "application/x-www-form-urlencoded;charset=UTF-8", strings.NewReader(form.Encode()))
	//if err != nil {
	//	log.Fatalf("error logging in: %v", err)
	//}
	//
	//log.Printf("Status code: %d", resp.StatusCode)
	////println(resp)
}
